The CSS animation-timing-function property specifies how a CSS animation should progress over the duration of each cycle. The possible values are one or several <timing-function>.

For keyframed animations, the timing function applies between keyframes rather than over the entire animation. In other words, the timing function is applied at the start of the keyframe and at the end of the keyframe.

An animation timing function defined within a keyframe block applies to that keyframe; otherwise. If no timing function is specified for the keyframe, the timing function specified for the overall animation is used.

It is often convenient to use the shorthand property animation to set all animation properties at once.

[Webplatform](http://docs.webplatform.org/wiki/css/properties/animation-timing-function "Webplatform")
[Mozilla docs](https://developer.mozilla.org/en-US/docs/Web/CSS/animation-timing-function "Mozilla")
[Caniuse](http://caniuse.com/#feat=css-animation "Caniuse")