# [Preboot 2](http://getpreboot.com)

Preboot is a collection of LESS mixins and variables for quickly writing CSS. As the precursor to [Bootstrap](http://getbootstrap.com), it serves as a lightweight and interface agnostic approach to jumpstarting your next web project. Use it how you see fit.


## Getting started

Preboot requires [LESS](http://lesscss.org). Head over to their documentation and familiarize yourself with the project. Once you're up and running, including and using Preboot is a breeze.

1. Create a new LESS file (e.g., application.less)
2. Include Preboot via `@import "preboot.less";`
3. Start writing your own LESS-flavored CSS

We highly recommend using Preboot in conjunction with [Normalize](http://necolas.github.com/normalize.css), a powerful tool for more consistent rendering of web components across various browsers and devices.


## Bugs and feature requests

Have a bug or a feature request? [Please open a new issue](https://github.com/mdo/preboot/issues). Before opening any issue, please search for existing issues and read the [Issue Guidelines](https://github.com/necolas/issue-guidelines), written by [Nicolas Gallagher](https://github.com/necolas/).


## Author

**Mark Otto**

+ [http://twitter.com/mdo](http://twitter.com/mdo)
+ [http://github.com/mdo](http://github.com/mdo)


## Brief history

Preboot was originally released in March 2011 under the name Bootstrap.less. Sensing the need for a larger and more comprehensive framework, I copped the name and created Bootstrap based on the original variables and mixins work here. To avoid obivous naming issues, I renamed this Preboot and essentially didn't touch the project for two years.

Fast forward two years and I'm backporting many of Bootstrap's variables and mixins back into Preboot as v2.

Disclaimer: Preboot v1 (Bootstrap.less) was released under a Creative Commons license and is still available. Preboot 2 is now under MIT.


## Copyright and license

[MIT](LICENSE.md)
